complete -c pixi -n "__fish_use_subcommand" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_use_subcommand" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_use_subcommand" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_use_subcommand" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_use_subcommand" -s V -l version -d 'Print version'
complete -c pixi -n "__fish_use_subcommand" -f -a "completion" -d 'Generates a completion script for a shell'
complete -c pixi -n "__fish_use_subcommand" -f -a "init" -d 'Creates a new project'
complete -c pixi -n "__fish_use_subcommand" -f -a "add" -d 'Adds a dependency to the project'
complete -c pixi -n "__fish_use_subcommand" -f -a "run" -d 'Runs task in project'
complete -c pixi -n "__fish_use_subcommand" -f -a "shell" -d 'Start a shell in the pixi environment of the project'
complete -c pixi -n "__fish_use_subcommand" -f -a "shell-hook" -d 'Print the activation script so users can source it in their shell, without needing the pixi executable'
complete -c pixi -n "__fish_use_subcommand" -f -a "global" -d 'Global is the main entry point for the part of pixi that executes on the global(system) level'
complete -c pixi -n "__fish_use_subcommand" -f -a "auth" -d 'Login to prefix.dev or anaconda.org servers to access private channels'
complete -c pixi -n "__fish_use_subcommand" -f -a "install" -d 'Install all dependencies'
complete -c pixi -n "__fish_use_subcommand" -f -a "task" -d 'Command management in project'
complete -c pixi -n "__fish_use_subcommand" -f -a "info" -d 'Information about the system, project and environments for the current machine'
complete -c pixi -n "__fish_use_subcommand" -f -a "upload" -d 'Upload a package to a prefix.dev channel'
complete -c pixi -n "__fish_use_subcommand" -f -a "search" -d 'Search a package, output will list the latest version of package'
complete -c pixi -n "__fish_use_subcommand" -f -a "project" -d 'Modify the project configuration file through the command line'
complete -c pixi -n "__fish_use_subcommand" -f -a "remove" -d 'Remove the dependency from the project'
complete -c pixi -n "__fish_use_subcommand" -f -a "self-update" -d 'Update pixi to the latest version or a specific version. If the pixi binary is not found in the default location (e.g. `~/.pixi/bin/pixi`), pixi won\'t updated to prevent breaking the current installation (Homebrew, etc). The behaviour can be overridden with the `--force` flag'
complete -c pixi -n "__fish_use_subcommand" -f -a "list" -d 'List project\'s packages. Highlighted packages are explicit dependencies'
complete -c pixi -n "__fish_use_subcommand" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c pixi -n "__fish_seen_subcommand_from completion" -s s -l shell -d 'The shell to generate a completion script for (defaults to \'bash\')' -r -f -a "{bash	'',elvish	'',fish	'',powershell	'',zsh	''}"
complete -c pixi -n "__fish_seen_subcommand_from completion" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from completion" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from completion" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from completion" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from init" -s c -l channel -d 'Channels to use in the project' -r
complete -c pixi -n "__fish_seen_subcommand_from init" -s p -l platform -d 'Platforms that the project supports' -r
complete -c pixi -n "__fish_seen_subcommand_from init" -s i -l import -d 'Environment.yml file to bootstrap the project' -r -F
complete -c pixi -n "__fish_seen_subcommand_from init" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from init" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from init" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from init" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from add" -l manifest-path -d 'The path to \'pixi.toml\' or \'pyproject.toml\'' -r -F
complete -c pixi -n "__fish_seen_subcommand_from add" -s p -l platform -d 'The platform(s) for which the dependency should be added' -r
complete -c pixi -n "__fish_seen_subcommand_from add" -s f -l feature -d 'The feature for which the dependency should be added' -r
complete -c pixi -n "__fish_seen_subcommand_from add" -l auth-file -d 'Path to the file containing the authentication token' -r -F
complete -c pixi -n "__fish_seen_subcommand_from add" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from add" -l host -d 'The specified dependencies are host dependencies. Conflicts with `build` and `pypi`'
complete -c pixi -n "__fish_seen_subcommand_from add" -l build -d 'The specified dependencies are build dependencies. Conflicts with `host` and `pypi`'
complete -c pixi -n "__fish_seen_subcommand_from add" -l pypi -d 'The specified dependencies are pypi dependencies. Conflicts with `host` and `build`'
complete -c pixi -n "__fish_seen_subcommand_from add" -l no-lockfile-update -d 'Don\'t update lockfile, implies the no-install as well'
complete -c pixi -n "__fish_seen_subcommand_from add" -l no-install -d 'Don\'t install the package to the environment, only add the package to the lock-file'
complete -c pixi -n "__fish_seen_subcommand_from add" -l tls-no-verify -d 'Do not verify the TLS certificate of the server'
complete -c pixi -n "__fish_seen_subcommand_from add" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from add" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from add" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c pixi -n "__fish_seen_subcommand_from run" -l manifest-path -d 'The path to \'pixi.toml\' or \'pyproject.toml\'' -r -F
complete -c pixi -n "__fish_seen_subcommand_from run" -s e -l environment -r
complete -c pixi -n "__fish_seen_subcommand_from run" -l auth-file -d 'Path to the file containing the authentication token' -r -F
complete -c pixi -n "__fish_seen_subcommand_from run" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from run" -l frozen -d 'Don\'t check or update the lockfile, continue with previously installed environment'
complete -c pixi -n "__fish_seen_subcommand_from run" -l locked -d 'Check if lockfile is up to date, aborts when lockfile isn\'t up to date with the manifest file'
complete -c pixi -n "__fish_seen_subcommand_from run" -l tls-no-verify -d 'Do not verify the TLS certificate of the server'
complete -c pixi -n "__fish_seen_subcommand_from run" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from run" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from run" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from shell" -l manifest-path -d 'The path to \'pixi.toml\' or \'pyproject.toml\'' -r -F
complete -c pixi -n "__fish_seen_subcommand_from shell" -s e -l environment -r
complete -c pixi -n "__fish_seen_subcommand_from shell" -l auth-file -d 'Path to the file containing the authentication token' -r -F
complete -c pixi -n "__fish_seen_subcommand_from shell" -l change-ps1 -d 'Do not change the PS1 variable when starting a prompt' -r -f -a "{true	'',false	''}"
complete -c pixi -n "__fish_seen_subcommand_from shell" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from shell" -l frozen -d 'Don\'t check or update the lockfile, continue with previously installed environment'
complete -c pixi -n "__fish_seen_subcommand_from shell" -l locked -d 'Check if lockfile is up to date, aborts when lockfile isn\'t up to date with the manifest file'
complete -c pixi -n "__fish_seen_subcommand_from shell" -l tls-no-verify -d 'Do not verify the TLS certificate of the server'
complete -c pixi -n "__fish_seen_subcommand_from shell" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from shell" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from shell" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from shell-hook" -s s -l shell -d 'Sets the shell, options: [`bash`,  `zsh`,  `xonsh`,  `cmd`,  `powershell`,  `fish`,  `nushell`]' -r
complete -c pixi -n "__fish_seen_subcommand_from shell-hook" -l manifest-path -d 'The path to \'pixi.toml\' or \'pyproject.toml\'' -r -F
complete -c pixi -n "__fish_seen_subcommand_from shell-hook" -s e -l environment -d 'The environment to activate in the script' -r
complete -c pixi -n "__fish_seen_subcommand_from shell-hook" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from shell-hook" -l frozen -d 'Don\'t check or update the lockfile, continue with previously installed environment'
complete -c pixi -n "__fish_seen_subcommand_from shell-hook" -l locked -d 'Check if lockfile is up to date, aborts when lockfile isn\'t up to date with the manifest file'
complete -c pixi -n "__fish_seen_subcommand_from shell-hook" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from shell-hook" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from shell-hook" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from global; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from upgrade-all; and not __fish_seen_subcommand_from help" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from global; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from upgrade-all; and not __fish_seen_subcommand_from help" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from global; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from upgrade-all; and not __fish_seen_subcommand_from help" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from global; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from upgrade-all; and not __fish_seen_subcommand_from help" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c pixi -n "__fish_seen_subcommand_from global; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from upgrade-all; and not __fish_seen_subcommand_from help" -f -a "install" -d 'Installs the defined package in a global accessible location'
complete -c pixi -n "__fish_seen_subcommand_from global; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from upgrade-all; and not __fish_seen_subcommand_from help" -f -a "remove" -d 'Removes a package previously installed into a globally accessible location via `pixi global install`'
complete -c pixi -n "__fish_seen_subcommand_from global; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from upgrade-all; and not __fish_seen_subcommand_from help" -f -a "list" -d 'Lists all packages previously installed into a globally accessible location via `pixi global install`'
complete -c pixi -n "__fish_seen_subcommand_from global; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from upgrade-all; and not __fish_seen_subcommand_from help" -f -a "upgrade" -d 'Upgrade specific package which is installed globally'
complete -c pixi -n "__fish_seen_subcommand_from global; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from upgrade-all; and not __fish_seen_subcommand_from help" -f -a "upgrade-all" -d 'Upgrade all globally installed packages'
complete -c pixi -n "__fish_seen_subcommand_from global; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from upgrade-all; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from install" -s c -l channel -d 'Represents the channels from which the package will be installed. Multiple channels can be specified by using this field multiple times' -r
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from install" -l auth-file -d 'Path to the file containing the authentication token' -r -F
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from install" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from install" -l tls-no-verify -d 'Do not verify the TLS certificate of the server'
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from install" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from install" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from install" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from remove" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from remove" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from remove" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from remove" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from list" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from list" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from list" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from list" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from upgrade" -s c -l channel -d 'Represents the channels from which to upgrade specified package. Multiple channels can be specified by using this field multiple times' -r
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from upgrade" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from upgrade" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from upgrade" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from upgrade" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from upgrade-all" -s c -l channel -d 'Represents the channels from which to upgrade packages. Multiple channels can be specified by using this field multiple times' -r
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from upgrade-all" -l auth-file -d 'Path to the file containing the authentication token' -r -F
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from upgrade-all" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from upgrade-all" -l tls-no-verify -d 'Do not verify the TLS certificate of the server'
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from upgrade-all" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from upgrade-all" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from upgrade-all" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from upgrade-all; and not __fish_seen_subcommand_from help" -f -a "install" -d 'Installs the defined package in a global accessible location'
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from upgrade-all; and not __fish_seen_subcommand_from help" -f -a "remove" -d 'Removes a package previously installed into a globally accessible location via `pixi global install`'
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from upgrade-all; and not __fish_seen_subcommand_from help" -f -a "list" -d 'Lists all packages previously installed into a globally accessible location via `pixi global install`'
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from upgrade-all; and not __fish_seen_subcommand_from help" -f -a "upgrade" -d 'Upgrade specific package which is installed globally'
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from upgrade-all; and not __fish_seen_subcommand_from help" -f -a "upgrade-all" -d 'Upgrade all globally installed packages'
complete -c pixi -n "__fish_seen_subcommand_from global; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from upgrade-all; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c pixi -n "__fish_seen_subcommand_from auth; and not __fish_seen_subcommand_from login; and not __fish_seen_subcommand_from logout; and not __fish_seen_subcommand_from help" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from auth; and not __fish_seen_subcommand_from login; and not __fish_seen_subcommand_from logout; and not __fish_seen_subcommand_from help" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from auth; and not __fish_seen_subcommand_from login; and not __fish_seen_subcommand_from logout; and not __fish_seen_subcommand_from help" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from auth; and not __fish_seen_subcommand_from login; and not __fish_seen_subcommand_from logout; and not __fish_seen_subcommand_from help" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from auth; and not __fish_seen_subcommand_from login; and not __fish_seen_subcommand_from logout; and not __fish_seen_subcommand_from help" -f -a "login" -d 'Store authentication information for a given host'
complete -c pixi -n "__fish_seen_subcommand_from auth; and not __fish_seen_subcommand_from login; and not __fish_seen_subcommand_from logout; and not __fish_seen_subcommand_from help" -f -a "logout" -d 'Remove authentication information for a given host'
complete -c pixi -n "__fish_seen_subcommand_from auth; and not __fish_seen_subcommand_from login; and not __fish_seen_subcommand_from logout; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c pixi -n "__fish_seen_subcommand_from auth; and __fish_seen_subcommand_from login" -l token -d 'The token to use (for authentication with prefix.dev)' -r
complete -c pixi -n "__fish_seen_subcommand_from auth; and __fish_seen_subcommand_from login" -l username -d 'The username to use (for basic HTTP authentication)' -r
complete -c pixi -n "__fish_seen_subcommand_from auth; and __fish_seen_subcommand_from login" -l password -d 'The password to use (for basic HTTP authentication)' -r
complete -c pixi -n "__fish_seen_subcommand_from auth; and __fish_seen_subcommand_from login" -l conda-token -d 'The token to use on anaconda.org / quetz authentication' -r
complete -c pixi -n "__fish_seen_subcommand_from auth; and __fish_seen_subcommand_from login" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from auth; and __fish_seen_subcommand_from login" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from auth; and __fish_seen_subcommand_from login" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from auth; and __fish_seen_subcommand_from login" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from auth; and __fish_seen_subcommand_from logout" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from auth; and __fish_seen_subcommand_from logout" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from auth; and __fish_seen_subcommand_from logout" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from auth; and __fish_seen_subcommand_from logout" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from auth; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from login; and not __fish_seen_subcommand_from logout; and not __fish_seen_subcommand_from help" -f -a "login" -d 'Store authentication information for a given host'
complete -c pixi -n "__fish_seen_subcommand_from auth; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from login; and not __fish_seen_subcommand_from logout; and not __fish_seen_subcommand_from help" -f -a "logout" -d 'Remove authentication information for a given host'
complete -c pixi -n "__fish_seen_subcommand_from auth; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from login; and not __fish_seen_subcommand_from logout; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c pixi -n "__fish_seen_subcommand_from install" -l manifest-path -d 'The path to \'pixi.toml\' or \'pyproject.toml\'' -r -F
complete -c pixi -n "__fish_seen_subcommand_from install" -s e -l environment -r
complete -c pixi -n "__fish_seen_subcommand_from install" -l auth-file -d 'Path to the file containing the authentication token' -r -F
complete -c pixi -n "__fish_seen_subcommand_from install" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from install" -l frozen -d 'Don\'t check or update the lockfile, continue with previously installed environment'
complete -c pixi -n "__fish_seen_subcommand_from install" -l locked -d 'Check if lockfile is up to date, aborts when lockfile isn\'t up to date with the manifest file'
complete -c pixi -n "__fish_seen_subcommand_from install" -l tls-no-verify -d 'Do not verify the TLS certificate of the server'
complete -c pixi -n "__fish_seen_subcommand_from install" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from install" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from install" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from task; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from alias; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -l manifest-path -d 'The path to \'pixi.toml\' or \'pyproject.toml\'' -r -F
complete -c pixi -n "__fish_seen_subcommand_from task; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from alias; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from task; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from alias; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from task; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from alias; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from task; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from alias; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from task; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from alias; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "add" -d 'Add a command to the project'
complete -c pixi -n "__fish_seen_subcommand_from task; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from alias; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "remove" -d 'Remove a command from the project'
complete -c pixi -n "__fish_seen_subcommand_from task; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from alias; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "alias" -d 'Alias another specific command'
complete -c pixi -n "__fish_seen_subcommand_from task; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from alias; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "list" -d 'List all tasks'
complete -c pixi -n "__fish_seen_subcommand_from task; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from alias; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from add" -l depends-on -d 'Depends on these other commands' -r
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from add" -s p -l platform -d 'The platform for which the task should be added' -r
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from add" -s f -l feature -d 'The feature for which the task should be added' -r
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from add" -l cwd -d 'The working directory relative to the root of the project' -r -F
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from add" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from add" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from add" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from add" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from remove" -s p -l platform -d 'The platform for which the task should be removed' -r
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from remove" -s f -l feature -d 'The feature for which the task should be removed' -r
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from remove" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from remove" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from remove" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from remove" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from alias" -s p -l platform -d 'The platform for which the alias should be added' -r
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from alias" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from alias" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from alias" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from alias" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from list" -s e -l environment -d 'The environment the list should be generated for If not specified, the default environment is used' -r
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from list" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from list" -s s -l summary
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from list" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from list" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from list" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from alias; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "add" -d 'Add a command to the project'
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from alias; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "remove" -d 'Remove a command from the project'
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from alias; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "alias" -d 'Alias another specific command'
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from alias; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "list" -d 'List all tasks'
complete -c pixi -n "__fish_seen_subcommand_from task; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from alias; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c pixi -n "__fish_seen_subcommand_from info" -l manifest-path -d 'The path to \'pixi.toml\' or \'pyproject.toml\'' -r -F
complete -c pixi -n "__fish_seen_subcommand_from info" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from info" -l extended -d 'Show cache and environment size'
complete -c pixi -n "__fish_seen_subcommand_from info" -l json -d 'Whether to show the output as JSON or not'
complete -c pixi -n "__fish_seen_subcommand_from info" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from info" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from info" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from upload" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from upload" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from upload" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from upload" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from search" -s c -l channel -d 'Channel to specifically search package, defaults to project channels or conda-forge' -r
complete -c pixi -n "__fish_seen_subcommand_from search" -l manifest-path -d 'The path to \'pixi.toml\' or \'pyproject.toml\'' -r -F
complete -c pixi -n "__fish_seen_subcommand_from search" -s p -l platform -d 'The platform to search for, defaults to current platform' -r
complete -c pixi -n "__fish_seen_subcommand_from search" -s l -l limit -d 'Limit the number of search results' -r
complete -c pixi -n "__fish_seen_subcommand_from search" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from search" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from search" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from search" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from project; and not __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from help" -l manifest-path -d 'The path to \'pixi.toml\' or \'pyproject.toml\'' -r -F
complete -c pixi -n "__fish_seen_subcommand_from project; and not __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from help" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from project; and not __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from help" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and not __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from help" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and not __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from help" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from project; and not __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from help" -f -a "channel" -d 'Commands to manage project channels'
complete -c pixi -n "__fish_seen_subcommand_from project; and not __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from help" -f -a "description" -d 'Commands to manage project description'
complete -c pixi -n "__fish_seen_subcommand_from project; and not __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from help" -f -a "platform" -d 'Commands to manage project channels'
complete -c pixi -n "__fish_seen_subcommand_from project; and not __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from help" -f -a "version" -d 'Commands to manage project description'
complete -c pixi -n "__fish_seen_subcommand_from project; and not __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -l manifest-path -d 'The path to \'pixi.toml\' or \'pyproject.toml\'' -r -F
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -f -a "add" -d 'Adds a channel to the project file and updates the lockfile'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -f -a "list" -d 'List the channels in the project file'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -f -a "remove" -d 'Remove channel(s) from the project file and updates the lockfile'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and __fish_seen_subcommand_from add" -s f -l feature -d 'The name of the feature to add the channel to' -r
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and __fish_seen_subcommand_from add" -l manifest-path -d 'The path to \'pixi.toml\' or \'pyproject.toml\'' -r -F
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and __fish_seen_subcommand_from add" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and __fish_seen_subcommand_from add" -l no-install -d 'Don\'t update the environment, only add changed packages to the lock-file'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and __fish_seen_subcommand_from add" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and __fish_seen_subcommand_from add" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and __fish_seen_subcommand_from add" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and __fish_seen_subcommand_from list" -l manifest-path -d 'The path to \'pixi.toml\' or \'pyproject.toml\'' -r -F
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and __fish_seen_subcommand_from list" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and __fish_seen_subcommand_from list" -l urls -d 'Whether to display the channel\'s names or urls'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and __fish_seen_subcommand_from list" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and __fish_seen_subcommand_from list" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and __fish_seen_subcommand_from list" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and __fish_seen_subcommand_from remove" -s f -l feature -d 'The name of the feature to remove the channel from' -r
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and __fish_seen_subcommand_from remove" -l manifest-path -d 'The path to \'pixi.toml\' or \'pyproject.toml\'' -r -F
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and __fish_seen_subcommand_from remove" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and __fish_seen_subcommand_from remove" -l no-install -d 'Don\'t update the environment, only remove the channel(s) from the lock-file'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and __fish_seen_subcommand_from remove" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and __fish_seen_subcommand_from remove" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and __fish_seen_subcommand_from remove" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -f -a "add" -d 'Adds a channel to the project file and updates the lockfile'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -f -a "list" -d 'List the channels in the project file'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -f -a "remove" -d 'Remove channel(s) from the project file and updates the lockfile'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from help" -l manifest-path -d 'The path to \'pixi.toml\' or \'pyproject.toml\'' -r -F
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from help" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from help" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from help" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from help" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from help" -f -a "get" -d 'Get the project description'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from help" -f -a "set" -d 'Set the project description'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from description; and __fish_seen_subcommand_from get" -l manifest-path -d 'The path to \'pixi.toml\' or \'pyproject.toml\'' -r -F
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from description; and __fish_seen_subcommand_from get" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from description; and __fish_seen_subcommand_from get" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from description; and __fish_seen_subcommand_from get" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from description; and __fish_seen_subcommand_from get" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from description; and __fish_seen_subcommand_from set" -l manifest-path -d 'The path to \'pixi.toml\' or \'pyproject.toml\'' -r -F
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from description; and __fish_seen_subcommand_from set" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from description; and __fish_seen_subcommand_from set" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from description; and __fish_seen_subcommand_from set" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from description; and __fish_seen_subcommand_from set" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from description; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from help" -f -a "get" -d 'Get the project description'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from description; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from help" -f -a "set" -d 'Set the project description'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from description; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -l manifest-path -d 'The path to \'pixi.toml\' or \'pyproject.toml\'' -r -F
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -f -a "add" -d 'Adds a platform(s) to the project file and updates the lockfile'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -f -a "list" -d 'List the platforms in the project file'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -f -a "remove" -d 'Remove platform(s) from the project file and updates the lockfile'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and __fish_seen_subcommand_from add" -s f -l feature -d 'The name of the feature to add the platform to' -r
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and __fish_seen_subcommand_from add" -l manifest-path -d 'The path to \'pixi.toml\' or \'pyproject.toml\'' -r -F
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and __fish_seen_subcommand_from add" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and __fish_seen_subcommand_from add" -l no-install -d 'Don\'t update the environment, only add changed packages to the lock-file'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and __fish_seen_subcommand_from add" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and __fish_seen_subcommand_from add" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and __fish_seen_subcommand_from add" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and __fish_seen_subcommand_from list" -l manifest-path -d 'The path to \'pixi.toml\' or \'pyproject.toml\'' -r -F
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and __fish_seen_subcommand_from list" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and __fish_seen_subcommand_from list" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and __fish_seen_subcommand_from list" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and __fish_seen_subcommand_from list" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and __fish_seen_subcommand_from remove" -s f -l feature -d 'The name of the feature to remove the platform from' -r
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and __fish_seen_subcommand_from remove" -l manifest-path -d 'The path to \'pixi.toml\' or \'pyproject.toml\'' -r -F
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and __fish_seen_subcommand_from remove" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and __fish_seen_subcommand_from remove" -l no-install -d 'Don\'t update the environment, only remove the platform(s) from the lock-file'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and __fish_seen_subcommand_from remove" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and __fish_seen_subcommand_from remove" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and __fish_seen_subcommand_from remove" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -f -a "add" -d 'Adds a platform(s) to the project file and updates the lockfile'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -f -a "list" -d 'List the platforms in the project file'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -f -a "remove" -d 'Remove platform(s) from the project file and updates the lockfile'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from major; and not __fish_seen_subcommand_from minor; and not __fish_seen_subcommand_from patch; and not __fish_seen_subcommand_from help" -l manifest-path -d 'The path to \'pixi.toml\' or \'pyproject.toml\'' -r -F
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from major; and not __fish_seen_subcommand_from minor; and not __fish_seen_subcommand_from patch; and not __fish_seen_subcommand_from help" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from major; and not __fish_seen_subcommand_from minor; and not __fish_seen_subcommand_from patch; and not __fish_seen_subcommand_from help" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from major; and not __fish_seen_subcommand_from minor; and not __fish_seen_subcommand_from patch; and not __fish_seen_subcommand_from help" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from major; and not __fish_seen_subcommand_from minor; and not __fish_seen_subcommand_from patch; and not __fish_seen_subcommand_from help" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from major; and not __fish_seen_subcommand_from minor; and not __fish_seen_subcommand_from patch; and not __fish_seen_subcommand_from help" -f -a "get" -d 'Get the project version'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from major; and not __fish_seen_subcommand_from minor; and not __fish_seen_subcommand_from patch; and not __fish_seen_subcommand_from help" -f -a "set" -d 'Set the project version'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from major; and not __fish_seen_subcommand_from minor; and not __fish_seen_subcommand_from patch; and not __fish_seen_subcommand_from help" -f -a "major" -d 'Bump the project version to MAJOR'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from major; and not __fish_seen_subcommand_from minor; and not __fish_seen_subcommand_from patch; and not __fish_seen_subcommand_from help" -f -a "minor" -d 'Bump the project version to MINOR'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from major; and not __fish_seen_subcommand_from minor; and not __fish_seen_subcommand_from patch; and not __fish_seen_subcommand_from help" -f -a "patch" -d 'Bump the project version to PATCH'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from major; and not __fish_seen_subcommand_from minor; and not __fish_seen_subcommand_from patch; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from get" -l manifest-path -d 'The path to \'pixi.toml\' or \'pyproject.toml\'' -r -F
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from get" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from get" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from get" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from get" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from set" -l manifest-path -d 'The path to \'pixi.toml\' or \'pyproject.toml\'' -r -F
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from set" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from set" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from set" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from set" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from major" -l manifest-path -d 'The path to \'pixi.toml\' or \'pyproject.toml\'' -r -F
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from major" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from major" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from major" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from major" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from minor" -l manifest-path -d 'The path to \'pixi.toml\' or \'pyproject.toml\'' -r -F
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from minor" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from minor" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from minor" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from minor" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from patch" -l manifest-path -d 'The path to \'pixi.toml\' or \'pyproject.toml\'' -r -F
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from patch" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from patch" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from patch" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from patch" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from major; and not __fish_seen_subcommand_from minor; and not __fish_seen_subcommand_from patch; and not __fish_seen_subcommand_from help" -f -a "get" -d 'Get the project version'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from major; and not __fish_seen_subcommand_from minor; and not __fish_seen_subcommand_from patch; and not __fish_seen_subcommand_from help" -f -a "set" -d 'Set the project version'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from major; and not __fish_seen_subcommand_from minor; and not __fish_seen_subcommand_from patch; and not __fish_seen_subcommand_from help" -f -a "major" -d 'Bump the project version to MAJOR'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from major; and not __fish_seen_subcommand_from minor; and not __fish_seen_subcommand_from patch; and not __fish_seen_subcommand_from help" -f -a "minor" -d 'Bump the project version to MINOR'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from major; and not __fish_seen_subcommand_from minor; and not __fish_seen_subcommand_from patch; and not __fish_seen_subcommand_from help" -f -a "patch" -d 'Bump the project version to PATCH'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from major; and not __fish_seen_subcommand_from minor; and not __fish_seen_subcommand_from patch; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from help" -f -a "channel" -d 'Commands to manage project channels'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from help" -f -a "description" -d 'Commands to manage project description'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from help" -f -a "platform" -d 'Commands to manage project channels'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from help" -f -a "version" -d 'Commands to manage project description'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from help; and __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove" -f -a "add" -d 'Adds a channel to the project file and updates the lockfile'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from help; and __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove" -f -a "list" -d 'List the channels in the project file'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from help; and __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove" -f -a "remove" -d 'Remove channel(s) from the project file and updates the lockfile'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from help; and __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set" -f -a "get" -d 'Get the project description'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from help; and __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set" -f -a "set" -d 'Set the project description'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from help; and __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove" -f -a "add" -d 'Adds a platform(s) to the project file and updates the lockfile'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from help; and __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove" -f -a "list" -d 'List the platforms in the project file'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from help; and __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove" -f -a "remove" -d 'Remove platform(s) from the project file and updates the lockfile'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from help; and __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from major; and not __fish_seen_subcommand_from minor; and not __fish_seen_subcommand_from patch" -f -a "get" -d 'Get the project version'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from help; and __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from major; and not __fish_seen_subcommand_from minor; and not __fish_seen_subcommand_from patch" -f -a "set" -d 'Set the project version'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from help; and __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from major; and not __fish_seen_subcommand_from minor; and not __fish_seen_subcommand_from patch" -f -a "major" -d 'Bump the project version to MAJOR'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from help; and __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from major; and not __fish_seen_subcommand_from minor; and not __fish_seen_subcommand_from patch" -f -a "minor" -d 'Bump the project version to MINOR'
complete -c pixi -n "__fish_seen_subcommand_from project; and __fish_seen_subcommand_from help; and __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from major; and not __fish_seen_subcommand_from minor; and not __fish_seen_subcommand_from patch" -f -a "patch" -d 'Bump the project version to PATCH'
complete -c pixi -n "__fish_seen_subcommand_from remove" -l manifest-path -d 'The path to \'pixi.toml\' or \'pyproject.toml\'' -r -F
complete -c pixi -n "__fish_seen_subcommand_from remove" -s p -l platform -d 'The platform for which the dependency should be removed' -r
complete -c pixi -n "__fish_seen_subcommand_from remove" -s f -l feature -d 'The feature for which the dependency should be removed' -r
complete -c pixi -n "__fish_seen_subcommand_from remove" -l auth-file -d 'Path to the file containing the authentication token' -r -F
complete -c pixi -n "__fish_seen_subcommand_from remove" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from remove" -l host -d 'Whether dependency is a host dependency'
complete -c pixi -n "__fish_seen_subcommand_from remove" -l build -d 'Whether dependency is a build dependency'
complete -c pixi -n "__fish_seen_subcommand_from remove" -l pypi -d 'Whether the dependency is a pypi package'
complete -c pixi -n "__fish_seen_subcommand_from remove" -l tls-no-verify -d 'Do not verify the TLS certificate of the server'
complete -c pixi -n "__fish_seen_subcommand_from remove" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from remove" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from remove" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from self-update" -l version -d 'The desired version (to downgrade or upgrade to). Update to the latest version if not specified' -r
complete -c pixi -n "__fish_seen_subcommand_from self-update" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from self-update" -l force -d 'Force the update even if the pixi binary is not found in the default location'
complete -c pixi -n "__fish_seen_subcommand_from self-update" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from self-update" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from self-update" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from list" -l platform -d 'The platform to list packages for. Defaults to the current platform' -r
complete -c pixi -n "__fish_seen_subcommand_from list" -l sort-by -d 'Sorting strategy' -r -f -a "{size	'',name	'',type	''}"
complete -c pixi -n "__fish_seen_subcommand_from list" -l manifest-path -d 'The path to \'pixi.toml\' or \'pyproject.toml\'' -r -F
complete -c pixi -n "__fish_seen_subcommand_from list" -s e -l environment -d 'The environment to list packages for. Defaults to the default environment' -r
complete -c pixi -n "__fish_seen_subcommand_from list" -l color -d 'Whether the log needs to be colored' -r -f -a "{always	'',never	'',auto	''}"
complete -c pixi -n "__fish_seen_subcommand_from list" -l json -d 'Whether to output in json format'
complete -c pixi -n "__fish_seen_subcommand_from list" -l json-pretty -d 'Whether to output in pretty json format'
complete -c pixi -n "__fish_seen_subcommand_from list" -l frozen -d 'Don\'t check or update the lockfile, continue with previously installed environment'
complete -c pixi -n "__fish_seen_subcommand_from list" -l locked -d 'Check if lockfile is up to date, aborts when lockfile isn\'t up to date with the manifest file'
complete -c pixi -n "__fish_seen_subcommand_from list" -l no-install -d 'Don\'t install the environment for pypi solving, only update the lock-file if it can solve without installing'
complete -c pixi -n "__fish_seen_subcommand_from list" -s v -l verbose -d 'Increase logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from list" -s q -l quiet -d 'Decrease logging verbosity'
complete -c pixi -n "__fish_seen_subcommand_from list" -s h -l help -d 'Print help'
complete -c pixi -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from shell-hook; and not __fish_seen_subcommand_from global; and not __fish_seen_subcommand_from auth; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from task; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from project; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from self-update; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "completion" -d 'Generates a completion script for a shell'
complete -c pixi -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from shell-hook; and not __fish_seen_subcommand_from global; and not __fish_seen_subcommand_from auth; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from task; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from project; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from self-update; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "init" -d 'Creates a new project'
complete -c pixi -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from shell-hook; and not __fish_seen_subcommand_from global; and not __fish_seen_subcommand_from auth; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from task; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from project; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from self-update; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "add" -d 'Adds a dependency to the project'
complete -c pixi -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from shell-hook; and not __fish_seen_subcommand_from global; and not __fish_seen_subcommand_from auth; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from task; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from project; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from self-update; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "run" -d 'Runs task in project'
complete -c pixi -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from shell-hook; and not __fish_seen_subcommand_from global; and not __fish_seen_subcommand_from auth; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from task; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from project; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from self-update; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "shell" -d 'Start a shell in the pixi environment of the project'
complete -c pixi -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from shell-hook; and not __fish_seen_subcommand_from global; and not __fish_seen_subcommand_from auth; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from task; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from project; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from self-update; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "shell-hook" -d 'Print the activation script so users can source it in their shell, without needing the pixi executable'
complete -c pixi -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from shell-hook; and not __fish_seen_subcommand_from global; and not __fish_seen_subcommand_from auth; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from task; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from project; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from self-update; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "global" -d 'Global is the main entry point for the part of pixi that executes on the global(system) level'
complete -c pixi -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from shell-hook; and not __fish_seen_subcommand_from global; and not __fish_seen_subcommand_from auth; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from task; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from project; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from self-update; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "auth" -d 'Login to prefix.dev or anaconda.org servers to access private channels'
complete -c pixi -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from shell-hook; and not __fish_seen_subcommand_from global; and not __fish_seen_subcommand_from auth; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from task; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from project; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from self-update; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "install" -d 'Install all dependencies'
complete -c pixi -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from shell-hook; and not __fish_seen_subcommand_from global; and not __fish_seen_subcommand_from auth; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from task; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from project; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from self-update; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "task" -d 'Command management in project'
complete -c pixi -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from shell-hook; and not __fish_seen_subcommand_from global; and not __fish_seen_subcommand_from auth; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from task; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from project; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from self-update; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "info" -d 'Information about the system, project and environments for the current machine'
complete -c pixi -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from shell-hook; and not __fish_seen_subcommand_from global; and not __fish_seen_subcommand_from auth; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from task; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from project; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from self-update; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "upload" -d 'Upload a package to a prefix.dev channel'
complete -c pixi -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from shell-hook; and not __fish_seen_subcommand_from global; and not __fish_seen_subcommand_from auth; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from task; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from project; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from self-update; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "search" -d 'Search a package, output will list the latest version of package'
complete -c pixi -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from shell-hook; and not __fish_seen_subcommand_from global; and not __fish_seen_subcommand_from auth; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from task; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from project; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from self-update; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "project" -d 'Modify the project configuration file through the command line'
complete -c pixi -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from shell-hook; and not __fish_seen_subcommand_from global; and not __fish_seen_subcommand_from auth; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from task; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from project; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from self-update; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "remove" -d 'Remove the dependency from the project'
complete -c pixi -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from shell-hook; and not __fish_seen_subcommand_from global; and not __fish_seen_subcommand_from auth; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from task; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from project; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from self-update; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "self-update" -d 'Update pixi to the latest version or a specific version. If the pixi binary is not found in the default location (e.g. `~/.pixi/bin/pixi`), pixi won\'t updated to prevent breaking the current installation (Homebrew, etc). The behaviour can be overridden with the `--force` flag'
complete -c pixi -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from shell-hook; and not __fish_seen_subcommand_from global; and not __fish_seen_subcommand_from auth; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from task; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from project; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from self-update; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "list" -d 'List project\'s packages. Highlighted packages are explicit dependencies'
complete -c pixi -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from shell-hook; and not __fish_seen_subcommand_from global; and not __fish_seen_subcommand_from auth; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from task; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from upload; and not __fish_seen_subcommand_from search; and not __fish_seen_subcommand_from project; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from self-update; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c pixi -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from global; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from upgrade-all" -f -a "install" -d 'Installs the defined package in a global accessible location'
complete -c pixi -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from global; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from upgrade-all" -f -a "remove" -d 'Removes a package previously installed into a globally accessible location via `pixi global install`'
complete -c pixi -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from global; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from upgrade-all" -f -a "list" -d 'Lists all packages previously installed into a globally accessible location via `pixi global install`'
complete -c pixi -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from global; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from upgrade-all" -f -a "upgrade" -d 'Upgrade specific package which is installed globally'
complete -c pixi -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from global; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from upgrade-all" -f -a "upgrade-all" -d 'Upgrade all globally installed packages'
complete -c pixi -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from auth; and not __fish_seen_subcommand_from login; and not __fish_seen_subcommand_from logout" -f -a "login" -d 'Store authentication information for a given host'
complete -c pixi -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from auth; and not __fish_seen_subcommand_from login; and not __fish_seen_subcommand_from logout" -f -a "logout" -d 'Remove authentication information for a given host'
complete -c pixi -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from task; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from alias; and not __fish_seen_subcommand_from list" -f -a "add" -d 'Add a command to the project'
complete -c pixi -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from task; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from alias; and not __fish_seen_subcommand_from list" -f -a "remove" -d 'Remove a command from the project'
complete -c pixi -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from task; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from alias; and not __fish_seen_subcommand_from list" -f -a "alias" -d 'Alias another specific command'
complete -c pixi -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from task; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from alias; and not __fish_seen_subcommand_from list" -f -a "list" -d 'List all tasks'
complete -c pixi -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from project; and not __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from version" -f -a "channel" -d 'Commands to manage project channels'
complete -c pixi -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from project; and not __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from version" -f -a "description" -d 'Commands to manage project description'
complete -c pixi -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from project; and not __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from version" -f -a "platform" -d 'Commands to manage project channels'
complete -c pixi -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from project; and not __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from version" -f -a "version" -d 'Commands to manage project description'
complete -c pixi -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove" -f -a "add" -d 'Adds a channel to the project file and updates the lockfile'
complete -c pixi -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove" -f -a "list" -d 'List the channels in the project file'
complete -c pixi -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from project; and __fish_seen_subcommand_from channel; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove" -f -a "remove" -d 'Remove channel(s) from the project file and updates the lockfile'
complete -c pixi -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from project; and __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set" -f -a "get" -d 'Get the project description'
complete -c pixi -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from project; and __fish_seen_subcommand_from description; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set" -f -a "set" -d 'Set the project description'
complete -c pixi -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove" -f -a "add" -d 'Adds a platform(s) to the project file and updates the lockfile'
complete -c pixi -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove" -f -a "list" -d 'List the platforms in the project file'
complete -c pixi -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from project; and __fish_seen_subcommand_from platform; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from remove" -f -a "remove" -d 'Remove platform(s) from the project file and updates the lockfile'
complete -c pixi -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from major; and not __fish_seen_subcommand_from minor; and not __fish_seen_subcommand_from patch" -f -a "get" -d 'Get the project version'
complete -c pixi -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from major; and not __fish_seen_subcommand_from minor; and not __fish_seen_subcommand_from patch" -f -a "set" -d 'Set the project version'
complete -c pixi -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from major; and not __fish_seen_subcommand_from minor; and not __fish_seen_subcommand_from patch" -f -a "major" -d 'Bump the project version to MAJOR'
complete -c pixi -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from major; and not __fish_seen_subcommand_from minor; and not __fish_seen_subcommand_from patch" -f -a "minor" -d 'Bump the project version to MINOR'
complete -c pixi -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from project; and __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from get; and not __fish_seen_subcommand_from set; and not __fish_seen_subcommand_from major; and not __fish_seen_subcommand_from minor; and not __fish_seen_subcommand_from patch" -f -a "patch" -d 'Bump the project version to PATCH'
